| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Class Marks Example
Examples

Description:

  Demonstrates the use the Maximum, Minimum, Mean, Standard Deviation, Variance and Matrix functions to calculate statistical values of marks obtained in a class.

Note:
  This example also demonstrates the usage of static initialization.

Variables Description:

  - `testMarks_f32` points to the marks scored by 20 students in 4 subjects
  - `max_marks` Maximum of all marks
  - `min_marks` Minimum of all marks
  - `mean` Mean of all marks
  - `var` Variance of the marks
  - `std` Standard deviation of the marks
  - `numStudents` Total number of students in the class

CMSIS DSP Software Library Functions Used:

  - arm_mat_init_f32()
  - arm_mat_mult_f32()
  - arm_max_f32()
  - arm_min_f32()
  - arm_mean_f32()
  - arm_std_f32()
  - arm_var_f32()

Refer arm_class_marks_example_f32.c